- List all deleted conversation IDs
List all deleted conversation IDs.
You can use pagination to limit the number of results returned. The default is 20 results per page. You can navigate to next pages using the page param.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/conversations/deleted
- The european API serverhttps://api.eu.intercom.io/conversations/deleted
- The australian API serverhttps://api.au.intercom.io/conversations/deleted
curl -i -X GET \
'https://api.intercom.io/conversations/deleted?page=1&per_page=20&order=desc' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'View all deleted conversation IDs
String representing the object's type. Always has the value conversations.list.
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
{ "type": "conversations.list", "total_count": 4, "pages": { "type": "pages", "next": "https://api.intercom.io/conversations/deleted?per_page=2&order=desc&page=2", "page": 1, "per_page": 2, "total_pages": 2 }, "conversations": [ { … }, { … } ] }